Loading...
Searching...
No Matches
snmp_node Struct Reference

`#include <snmp_core.h>`

## Data Fields

u8_t | node_type
u32_t | oid

## Detailed Description

node "base class" layout, the mandatory fields for a node

## Field Documentation

## node_type

u8_t snmp_node::node_type

one out of SNMP_NODE_TREE or any leaf node type (like SNMP_NODE_SCALAR)

## oid

u32_t snmp_node::oid

the number assigned to this node which used as part of the full OID

The documentation for this struct was generated from the following file:

- src/include/lwip/apps/snmp_core.h